Package org.apache.solr.common

# Class NonExistentCoreException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.solr.common.SolrException
org.apache.solr.common.NonExistentCoreException

All Implemented Interfaces:
  `Serializable`

public class NonExistentCoreException extends SolrException

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.common.SolrException

`SolrException.ErrorCode`

## Field Summary

### Fields inherited from class org.apache.solr.common.SolrException

`details, metadata`

## Constructor Summary

Constructors
Constructor
Description
`NonExistentCoreException(String msg)`

## Method Summary

### Methods inherited from class org.apache.solr.common.SolrException

`code, getDetails, getMetadata, getMetadata, getResponseMessage, getRootCause, getRootThrowable, getThrowable, logDebugWithMdc, logInfoWithMdc, logWarnWithMdc, setDetails, setMetadata, setMetadata, wrapLuceneTragicExceptionIfNecessary`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NonExistentCoreException

public NonExistentCoreException(String msg)